HP Printer LaserJet 1018 incompatible with Linux Mint

Forum rules
Before you post please read this
Post Reply
kylebryant
Level 1
Level 1
Posts: 2
Joined: Sat May 05, 2018 11:00 pm

HP Printer LaserJet 1018 incompatible with Linux Mint

Post by kylebryant » Sat May 05, 2018 11:05 pm

Having trouble connecting HP LaserJet 1018 printer with Linnux mint. Have downloaded HPLIP 3.16.17 and 3.18.4 and doesnt work. Can communicate with printyer because it can tell if plugged in or not, but wont print. Have tried HPLIP as said and terminal suggestions.
please help!
Last edited by karlchen on Sun May 06, 2018 6:33 am, edited 1 time in total.
Reason: Changed title to mention the exact HP printer device name

pdc_2
Level 8
Level 8
Posts: 2194
Joined: Mon May 11, 2009 1:21 am

HP LaserJet 1018 needs a plug-in; says HP

Post by pdc_2 » Sun May 06, 2018 4:43 am

so Kyle; HP reckon that you need hplip of 2.7.10 or more; so those in the 3 series do that;

if one looks on the HP listings https://developers.hp.com/hp-linux-imag ... ices/index it says in the PLUG-IN column, that for your 1018, that a plug-in is REQUIRED

so if you open a terminal and type

Code: Select all

hp-plugin
and hit the ENTER key; I wonder if it downloads a plug-in and installs it; and I wonder if that gets the printer to work?

Post Reply

Return to “Printers & Scanners”